package com.aucma.production.mapper;

import java.util.List;

import com.aucma.production.domain.ProdOrderNote;
import org.apache.ibatis.annotations.Param;

/**
 * 工单备注与异常记录Mapper接口
 *
 * @author Codex
 * @date 2026-03-18
 */
public interface ProdOrderNoteMapper {
    
    ProdOrderNote selectProdOrderNoteByObjId(@Param("objId") Long objId);

    List<ProdOrderNote> selectProdOrderNoteList(ProdOrderNote prodOrderNote);

    int insertProdOrderNote(ProdOrderNote prodOrderNote);

    int updateProdOrderNote(ProdOrderNote prodOrderNote);

    int deleteProdOrderNoteByObjId(@Param("objId") Long objId);

    int deleteProdOrderNoteByObjIds(@Param("objIds") Long[] objIds);
}
